<?php
/*
* ARTURO: Crea una columna en la pantalla de orders de woocomerce con información de seguimiento de campaña mailtrain.
*/
defined( 'ABSPATH' ) || exit;

session_start();
if(!empty($_REQUEST['cc'])){
	$cc = $_GET['cc'];
	$ss = $_GET['ss'];
	$ww = $_GET['ww'];
	$_SESSION['cc']=$cc;
	$_SESSION['ss']=$ss;
	$_SESSION['ww']=$ww;
}//fin de if
session_write_close();

add_action('woocommerce_checkout_update_order_meta', 'guardaccss',10,2);
function guardaccss( $order_id,$data ) {
	if(isset($_SESSION['cc'])){update_post_meta( $order_id, 'mailtrain_campaign_id', $_SESSION['cc']);}
	if(isset($_SESSION['ss'])){update_post_meta( $order_id, 'mailtrain_subscription_id', $_SESSION['ss']);}
	if(isset($_SESSION['ww'])){update_post_meta( $order_id, 'mailtrain_server', $_SESSION['ww']);}
	//update_post_meta( $order_id, 'mailtrain_campaign_id', $_SESSION['cc']);
	//update_post_meta( $order_id, 'mailtrain_subscription_id', $_SESSION['ss']);
}//fin de funcion

function new_mailtrain_column( $columns = array() ) {
    // Add new columns
    $columns['mailtrain-campaign'] = 'Mailtrain';
    return $columns;
}

function mailtrain_column_content( $column ) {
    global $the_order; // you can use the global WP_Order object here
	// global $post; // is also available here
 
    if( $column == 'mailtrain-campaign' ) {
		$campaign=get_post_meta($the_order->ID, 'mailtrain_campaign_id');
		$server=get_post_meta($the_order->ID, 'mailtrain_server');
		if(!empty($campaign)){
			$subscription=get_post_meta($the_order->ID, 'mailtrain_subscription_id');
			$url="https://proceso".$server[0].".winandoffice.com/campaignoverview.php?cc=".$campaign[0]."&ss=".$subscription[0]."&em=".$the_order->DATA['billing']['email'];
			echo "<a href='".$url."' target='_blank'><b>Campaign:</b> ".$campaign[0]."<br><b>Subscription:</b>".$subscription[0]."<br><b>Email:</b>".$the_order->DATA['billing']['email']."</a>";
		}else{
			$url="https://mailtrain".$server[0].".winandoffice.com/api/lists/".$the_order->DATA['billing']['email']."?access_token=1090621ccb456ef05191d6591204b8e16e8f3669";
			echo "<a href='".$url."' target='_blank'>-</a>";
		}
        // do stuff, ex: get_post_meta( $post->ID, 'key', true );

    }

}

$options = get_option('_invoices_options');
if($options['mailtraintracking']=="S"){
     //add_filter( 'woocommerce_account_orders_columns', 'new_mailtrain_column' );
     add_filter( 'manage_edit-shop_order_columns','new_mailtrain_column');
     add_action( 'manage_shop_order_posts_custom_column' , 'mailtrain_column_content' );	
	 add_filter('woocommerce_shop_order_search_fields', 'custom_order_search_fields');
}

add_shortcode('versesion', 'varsesion');
function varsesion() {
	$ret = $_SESSION['cc']."<br>";
	$ret = $ret.$_SESSION['ss']."<br>";
	$ret = $ret.$_SESSION['ww']."<br>";
	return $ret;
}

function custom_order_search_fields($search_fields) {
    $search_fields[] = 'mailtrain_campaign_id'; // Reemplaza 'mailtrain_campaign_id' con el nombre exacto de tu metadato.
    return $search_fields;
}
